libzypp 17.38.15

zyppng::RepoServicesWorkflow Namespace Reference

## Functions
MaybeAwaitable< expected< std::pair< zypp::ServiceInfo, RepoInfoList > > > | fetchRepoListfromService (ContextRef ctx, zypp::Pathname root_r, ServiceInfo service, ProgressObserverRef myProgress)
MaybeAwaitable< expected< zypp::repo::ServiceType > > | probeServiceType (ContextRef ctx, const zypp::Url &url)
MaybeAwaitable< expected< void > > | refreshService (RepoManagerRef repoMgr, ServiceInfo info, zypp::RepoManagerFlags::RefreshServiceOptions options)

## Function Documentation

## ◆ fetchRepoListfromService()

MaybeAwaitable< expected< std::pair< zypp::ServiceInfo, RepoInfoList > > > zyppng::RepoServicesWorkflow::fetchRepoListfromService | ( | ContextRef | ctx,
|  | zypp::Pathname | root_r,
|  | ServiceInfo | service,
|  | ProgressObserverRef | myProgress )

Definition at line 220 of file serviceswf.cc.

## ◆ probeServiceType()

MaybeAwaitable< expected< zypp::repo::ServiceType > > zyppng::RepoServicesWorkflow::probeServiceType | ( | ContextRef | ctx,
|  | const zypp::Url & | url )

Definition at line 231 of file serviceswf.cc.

## ◆ refreshService()

MaybeAwaitable< expected< void > > zyppng::RepoServicesWorkflow::refreshService | ( | RepoManagerRef | repoMgr,
|  | ServiceInfo | info,
|  | zypp::RepoManagerFlags::RefreshServiceOptions | options )

Definition at line 713 of file serviceswf.cc.